## org.eclipse.emf.codegen.merge.java.facade
Interface JAbstractType

All Superinterfaces:
  JMember, JNode

All Known Subinterfaces:
  JAnnotationType, JEnum, JType

All Known Implementing Classes:
  ASTJAbstractType, ASTJAnnotationType, ASTJEnum, ASTJType, JDOMJType

    public interface JAbstractType

extends JMember

Base interface for `JType`, `JEnum`, `JAnnotationType`.

Since:
  2.3.0

Method Summary

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.